<?php

namespace App\Entities\Equipment;

use App\Models\Equipment\CodeModel;

class CodeEntity extends EquipmentEntity
{
    const PK    = CodeModel::PK;
    const TITLE = CodeModel::TITLE;
    const STATUS_AVAILABLE = "default";
    const STATUS_OCCUPIED = "occupied";

    public function getCode(): string
    {
        return $this->attributes['code'];
    }
}
